diff --git a/test_plans/virtio_ipsec_cryptodev_func_test_plan.rst b/test_plans/virtio_ipsec_cryptodev_func_test_plan.rst
index 58267ba..15e1a79 100644
--- a/test_plans/virtio_ipsec_cryptodev_func_test_plan.rst
+++ b/test_plans/virtio_ipsec_cryptodev_func_test_plan.rst
@@ -88,7 +88,7 @@ the bin is in /root/qemu-2.12 folder, which is your specified
 
 The options of ipsec-secgw is below::
 
-    ./build/ipsec-secgw [EAL options] --
+    ./build/examples/dpdk-ipsec-secgw [EAL options] --
                         -p PORTMASK -P -u PORTMASK -j FRAMESIZE
                         -l -a REPLAY_WINOW_SIZE -e -a
                         --config (port,queue,lcore)[,(port,queue,lcore]
@@ -115,15 +115,19 @@ and compare the payload with correct answer pre-stored in scripts:
 
 In Host:
 
-# Enable config item in dpdk:
+# Enable config item by default in dpdk::
 
-      enable CONFIG_RTE_LIBRTE_VHOST in config/common_base
+# Build DPDK and app vhost_crypto::
 
-# Build DPDK and app vhost_crypto
+      CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static x86_64-native-linuxapp-gcc
+      ninja -C x86_64-native-linuxapp-gcc -j 110
+
+      meson configure -Dexamples=vhost_crypto x86_64-native-linuxapp-gcc
+      ninja -C x86_64-native-linuxapp-gcc
 
 # Run the dpdk vhost sample::
 
-    ./examples/vhost_crypto/build/vhost-crypto \
+    ./x86_64-native-linuxapp-gcc/examples/dpdk-vhost_crypto \
     --socket-mem 2048,0 --legacy-mem \
     -a 1a:01.0 -a 1c:01.0 -a 1e:01.0 \
     --vdev crypto_scheduler_pmd_1,slave=0000:1a:01.0_qat_sym,slave=0000:1c:01.0_qat_sym,slave=0000:1e:01.0_qat_sym,mode=round-robin,ordering=enable \
@@ -168,11 +172,12 @@ In Host:
 
 In VM:
 
-# enable config items, compile dpdk and app:
+# enable config items, compile dpdk and app ipsec-secgw:
 
-    enable CONFIG_RTE_EAL_IGB_UIO in config/common_base
-    enable CONFIG_RTE_LIBRTE_PMD_AESNI_MB in config/common_base
-    compile dpdk and compile test app "ipsec-secgw"
+    CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc -j 10
+    meson configure -Dexamples=ipsec-secgw x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc
 
 # set virtio device::
 
@@ -186,11 +191,11 @@ Test Case: Cryptodev AESNI_MB test
 
 In vm0::
 
-    ./examples/ipsec-secgw/build/ipsec-secgw --socket-mem 1024,0  -a 0000:00:06.0 -a 0000:00:07.0 --vdev crypto_aesni_mb_pmd_1 --vdev crypto_aesni_mb_pmd_2 -l 1,2,3 -n 4  -- -P  --config "(0,0,2),(1,0,3)" -u 0x1 -p 0x3 -f /root/ipsec_test0.cfg
+    ./x86_64-native-linuxapp-gcc/examples/dpdk-ipsec-secgw --socket-mem 1024,0  -a 0000:00:06.0 -a 0000:00:07.0 --vdev crypto_aesni_mb_pmd_1 --vdev crypto_aesni_mb_pmd_2 -l 1,2,3 -n 4  -- -P  --config "(0,0,2),(1,0,3)" -u 0x1 -p 0x3 -f /root/ipsec_test0.cfg
 
 In vm1::
 
-    ./examples/ipsec-secgw/build/ipsec-secgw --socket-mem 1024,0  -a 0000:00:06.0 -a 0000:00:07.0 --vdev crypto_aesni_mb_pmd_1 --vdev crypto_aesni_mb_pmd_2 -l 1,2,3 -n 4  -- -P  --config "(0,0,2),(1,0,3)" -u 0x1 -p 0x3 -f /root/ipsec_test1.cfg
+    ./x86_64-native-linuxapp-gcc/examples/dpdk-ipsec-secgw --socket-mem 1024,0  -a 0000:00:06.0 -a 0000:00:07.0 --vdev crypto_aesni_mb_pmd_1 --vdev crypto_aesni_mb_pmd_2 -l 1,2,3 -n 4  -- -P  --config "(0,0,2),(1,0,3)" -u 0x1 -p 0x3 -f /root/ipsec_test1.cfg
 
 send packets and verify
 
@@ -199,10 +204,10 @@ Test Case: Cryptodev VIRTIO test
 
 In vm0::
 
-    ./examples/ipsec-secgw/build/ipsec-secgw --socket-mem 1024,0  -a 0000:00:06.0 -a 0000:00:07.0 -a 00:04.0 -a 00:05.0 -l 1,2,3 -n 4  -- -P  --config "(0,0,2),(1,0,3)" -u 0x1 -p 0x3 -f /root/ipsec_test0.cfg
+    ./x86_64-native-linuxapp-gcc/examples/dpdk-ipsec-secgw --socket-mem 1024,0  -a 0000:00:06.0 -a 0000:00:07.0 -a 00:04.0 -a 00:05.0 -l 1,2,3 -n 4  -- -P  --config "(0,0,2),(1,0,3)" -u 0x1 -p 0x3 -f /root/ipsec_test0.cfg
 
 In vm1::
 
-    ./examples/ipsec-secgw/ibuild/ipsec-secgw --socket-mem 1024,0  -a 0000:00:06.0 -a 0000:00:07.0 -a 00:04.0 -a 00:05.0 -l 1,2,3 -n 4  -- -P  --config "(0,0,2),(1,0,3)" -u 0x1 -p 0x3 -f /root/ipsec_test1.cfg
+    ./x86_64-native-linuxapp-gcc/examples/dpdk-ipsec-secgw --socket-mem 1024,0  -a 0000:00:06.0 -a 0000:00:07.0 -a 00:04.0 -a 00:05.0 -l 1,2,3 -n 4  -- -P  --config "(0,0,2),(1,0,3)" -u 0x1 -p 0x3 -f /root/ipsec_test1.cfg
 
 send packets and verify
diff --git a/test_plans/virtio_perf_cryptodev_func_test_plan.rst b/test_plans/virtio_perf_cryptodev_func_test_plan.rst
index 816425b..93dad99 100644
--- a/test_plans/virtio_perf_cryptodev_func_test_plan.rst
+++ b/test_plans/virtio_perf_cryptodev_func_test_plan.rst
@@ -100,15 +100,19 @@ Test case setup:
 
 In Host:
 
-# Enable config item in dpdk:
+# Enable config item(RTE_LIB_VHOST) by default in dpdk:
 
-      enable CONFIG_RTE_LIBRTE_VHOST in config/common_base
+# Build DPDK and app vhost_crypto::
 
-# Build DPDK and app vhost_crypto
+      CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static x86_64-native-linuxapp-gcc
+      ninja -C x86_64-native-linuxapp-gcc -j 110
+
+      meson configure -Dexamples=vhost_crypto x86_64-native-linuxapp-gcc
+      ninja -C x86_64-native-linuxapp-gcc
 
 # Run the dpdk vhost sample::
 
-    ./examples/vhost_crypto/build/vhost-crypto --socket-mem 2048,0 --legacy-mem --vdev crypto_aesni_mb_pmd_1 -l 8,9,10 -n 4  -- --config "(9,0,0),(10,0,0)" --socket-file 9,/tmp/vm0_crypto0.sock --socket-file=10,/tmp/vm0_crypto1.sock
+    ./x86_64-native-linuxapp-gcc/examples/dpdk-vhost_crypto --socket-mem 2048,0 --legacy-mem --vdev crypto_aesni_mb_pmd_1 -l 8,9,10 -n 4  -- --config "(9,0,0),(10,0,0)" --socket-file 9,/tmp/vm0_crypto0.sock --socket-file=10,/tmp/vm0_crypto1.sock
 
 # bind vf or pf with driver vfio-pci::
 
@@ -136,8 +140,8 @@ In VM:
 
 # enable config items in dpdk and compile dpdk:
 
-    enable CONFIG_RTE_EAL_IGB_UIO in config/common_base
-    enable CONFIG_RTE_LIBRTE_PMD_AESNI_MB in config/common_base
+    CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc -j 10
 
 # set virtio device::
 
@@ -151,7 +155,7 @@ Test Case: Cryptodev AESNI_MB test
 
 command::
 
-      ./build/app/dpdk-test-crypto-perf -c 0xf --vdev crypto_aesni_mb_pmd  \
+      ./x86_64-native-linuxapp-gcc/app/dpdk-test-crypto-perf -c 0xf --vdev crypto_aesni_mb_pmd  \
       -- --ptest throughput --devtype crypto_aesni_mb --optype cipher-then-auth  \
       --cipher-algo aes-cbc --cipher-op encrypt --cipher-key-sz 16 --cipher-iv-sz 16 \
       --auth-algo sha1-hmac --auth-op generate --auth-key-sz 64 --auth-aad-sz 0 \
@@ -162,7 +166,7 @@ Test Case: Cryptodev VIRTIO test
 
 command::
 
-      ./build/app/dpdk-test-crypto-perf -c 0xf  -a 00:05.0 -- --ptest throughput \
+      ./x86_64-native-linuxapp-gcc/app/dpdk-test-crypto-perf -c 0xf  -a 00:05.0 -- --ptest throughput \
       --devtype crypto_virtio --optype cipher-then-auth  --cipher-algo aes-cbc --cipher-op encrypt \
       --cipher-key-sz 16 --cipher-iv-sz 16 --auth-algo sha1-hmac --auth-op generate --auth-key-sz 64 \
       --auth-aad-sz 0 --auth-digest-sz 20 --total-ops 10000000 --burst-sz 32 --buffer-sz 1024
diff --git a/test_plans/virtio_unit_cryptodev_func_test_plan.rst b/test_plans/virtio_unit_cryptodev_func_test_plan.rst
index d08da69..e7d23a5 100644
--- a/test_plans/virtio_unit_cryptodev_func_test_plan.rst
+++ b/test_plans/virtio_unit_cryptodev_func_test_plan.rst
@@ -70,15 +70,19 @@ Test Case Setup
 
 In Host:
 
-# Enable config item in dpdk:
-
-      enable CONFIG_RTE_LIBRTE_VHOST in config/common_base
+# Enable config item by default in dpdk:
 
 # Build DPDK and app vhost_crypto
 
+      CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static x86_64-native-linuxapp-gcc
+      ninja -C x86_64-native-linuxapp-gcc -j 110
+
+      meson configure -Dexamples=vhost_crypto x86_64-native-linuxapp-gcc
+      ninja -C x86_64-native-linuxapp-gcc
+
 # Run the dpdk vhost sample::
 
-      ./examples/vhost_crypto/build/vhost-crypto --file-prefix="vhost_crypto_1"
+      ./x86_64-native-linuxapp-gcc/examples/dpdk-vhost_crypto --file-prefix="vhost_crypto_1"
           [EAL options]
           [Cryptodev PMD]
           -- --cdev-queue-id 0
@@ -116,7 +120,7 @@ In VM:
 
 # Manually verify the app/test by this command, as example, in your build folder::
 
-      ./app/test -c 1 -n 1
+      ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -c 1 -n 1 --log-level 6 -- -l 1,2,3 --vdev crypto_virtio
       RTE>> cryptodev_virtio_autotest
 
 Expected all tests could pass in testing.