diff --git a/test_plans/compressdev_isal_pmd_test_plan.rst b/test_plans/compressdev_isal_pmd_test_plan.rst
index 6ea21b8..54f8c62 100644
--- a/test_plans/compressdev_isal_pmd_test_plan.rst
+++ b/test_plans/compressdev_isal_pmd_test_plan.rst
@@ -45,27 +45,47 @@ The supported Compression/Decompression algorithm:
     DEFLATE - using Fixed and Dynamic Huffman encoding
 
 For more details, please reference to dpdk online programming guide.
+http://doc.dpdk.org/guides/compressdevs/isal.html
 
 Prerequisites
 ----------------------
-In order to enable this virtual compression PMD, user must:
 
-    Set CONFIG_RTE_LIBRTE_PMD_ISAL=y in config/common_base.
+A compress performance test app is added into DPDK to test CompressDev.
+RTE_COMPRESS_ISAL and RTE_LIB_COMPRESSDEV is enabled by default in meson  build.
+Calgary corpus is a collection of text and binary data files, commonly used
+for comparing data compression algorithms.
 
-and enable compressdev unit test:
+Software
+--------
 
-    Set CONFIG_RTE_COMPRESSDEV_TEST=y in config/common_base.
+dpdk: http://dpdk.org/git/dpdk
+multi-buffer library: https://github.com/01org/intel-ipsec-mb
+Intel QuickAssist Technology Driver: https://01.org/packet-processing/intel%C2%AE-quickassist-technology-drivers-and-patches
+Intel’s ISA-L library: https://github.com/01org/isa-l
 
-A compress performance test app is added into DPDK to test CompressDev.
+General set up
+--------------
+1, Compile DPDK::
 
-Calgary corpus is a collection of text and binary data files, commonly used
-for comparing data compression algorithms.
+    CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc -j 110
+
+2, Get the pci device id of QAT::
+
+   ./dpdk/usertools/dpdk-devbind.py --status-dev crypto
+
+3, Bind QAT VF port to dpdk::
+
+   ./dpdk/usertools/dpdk-devbind.py --force --bind=vfio-pci 0000:1a:01.0 0000:1a:01.1
+
+Test case
+=========
 
 Test Case: Compressdev ISA-L PMD Unit test
 ----------------------------------------------------------------
 Start test application and run isal pmd unit test::
 
-    ./app/test -l1 -n1 -a vdev_bus_id --vdev=compress_isal
+    ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -l1 -n1 -a vdev_bus_id --vdev=compress_isal
     RTE>>compressdev_autotest
 
 Verify all test cases passed in the test.
@@ -74,7 +94,7 @@ Test Case: Compressdev ISA-L PMD fixed function test
 ---------------------------------------------------------
 Run Compressdev isal pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
     --vdev=compress_isal -- --driver-name compress_isal --input-file file_name \
     --compress-level level --num-iter number --huffman-enc fixed
 
@@ -86,7 +106,7 @@ Test Case: Compressdev ISA-L PMD dynamic function test
 ---------------------------------------------------------
 Run Compressdev isal pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
     --vdev=compress_isal -- --driver-name compress_isal --input-file file_name \
     --compress-level level --num-iter number --huffman-enc dynamic
 
@@ -98,7 +118,7 @@ Test Case: Compressdev ISA-L PMD fixed performance test
 -----------------------------------------------------------
 Run Compressdev isal pmd performance test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
     --vdev=compress_isal -- --driver-name compress_isal --input-file file_name \
     --compress-level level --seg-sz size --num-iter number --huffman-enc fixed
 
@@ -110,7 +130,7 @@ Test Case: Compressdev ISA-L PMD dynamic performance test
 ----------------------------------------------------------------
 Run Compressdev isal pmd performance test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
     --vdev=compress_isal -- --driver-name compress_isal --input-file file_name \
     --compress-level level --seg-sz size --num-iter number --huffman-enc dynamic
 
diff --git a/test_plans/compressdev_qat_pmd_test_plan.rst b/test_plans/compressdev_qat_pmd_test_plan.rst
index a23be22..61fb2ee 100644
--- a/test_plans/compressdev_qat_pmd_test_plan.rst
+++ b/test_plans/compressdev_qat_pmd_test_plan.rst
@@ -50,25 +50,49 @@ The supported Compression/Decompression algorithm:
     DEFLATE - using Fixed and Dynamic Huffman encoding
 
 For more details, please reference to dpdk online programming guide.
+http://doc.dpdk.org/guides/compressdevs/qat_comp.html
 
 Prerequisites
 ----------------------
 Intel QAT devices should be available in the platform.
-
-enable compressdev unit test:
-
-    Set CONFIG_RTE_COMPRESSDEV_TEST=y in config/common_base.
+The QAT compression PMD is built by default with a standard DPDK build
+It depends on a QAT kernel driver.
 
 A compress performance test app is added into DPDK to test CompressDev.
 
 Calgary corpus is a collection of text and binary data files,commonly used
 for comparing data compression algorithms.
 
+Software
+--------
+
+dpdk: http://dpdk.org/git/dpdk
+Intel QuickAssist Technology Driver: https://01.org/packet-processing/intel%C2%AE-quickassist-technology-drivers-and-patches
+
+General set up
+--------------
+
+1, Compile DPDK::
+
+    CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc -j 110
+
+2, Get the pci device id of QAT::
+
+   ./dpdk/usertools/dpdk-devbind.py --status-dev crypto
+
+3, Bind QAT VF port to dpdk::
+
+   ./dpdk/usertools/dpdk-devbind.py --force --bind=vfio-pci 0000:1a:01.0 0000:1a:01.1
+
+Test case
+=========
+
 Test Case: Compressdev QAT PMD Unit test
 ----------------------------------------------------------------
 Start test application and run qat pmd unit test::
 
-    ./app/test -l1 -n1 -a qat_device_bus_id --log-level=qat:8
+    ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -l1 -n1 -a qat_device_bus_id --log-level=qat:8
     RTE>>compressdev_autotest
 
 Verify all test cases passed in the test.
@@ -77,7 +101,7 @@ Test Case: Compressdev QAT PMD fixed function test
 ----------------------------------------------------------------------
 Run Compressdev qat pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
     -- --driver-name compress_qat --input-file file_name \
     --compress-level level --num-iter number --huffman-enc fixed
 
@@ -89,7 +113,7 @@ Test Case: Compressdev QAT PMD dynamic function test
 -----------------------------------------------------------------------
 Run Compressdev qat pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
     -- --driver-name compress_qat --input-file file_name \
     --compress-level level --num-iter number --huffman-enc dynamic
 
@@ -101,7 +125,7 @@ Test Case: Compressdev QAT PMD big sgl fixed function test
 --------------------------------------------------------------------------
 Run Compressdev qat pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
     -- --driver-name compress_qat --input-file file_name --seg-sz segsize \
     --compress-level level --num-iter number --extended-input-sz size \
     --max-num-sgl-segs seg --huffman-enc fixed
@@ -114,7 +138,7 @@ Test Case: Compressdev QAT PMD big sgl dynamic function test
 --------------------------------------------------------------------------
 Run Compressdev qat pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
     -- --driver-name compress_qat --input-file file_name --seg-sz segsize \
     --compress-level level --num-iter number --extended-input-sz size \
     --max-num-sgl-segs seg --huffman-enc dynamic
@@ -127,7 +151,7 @@ Test Case: Compressdev QAT PMD big seg-sz fixed function test
 --------------------------------------------------------------------------
 Run Compressdev qat pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
     -- --driver-name compress_qat --input-file file_name --seg-sz segsize \
     --compress-level level --num-iter number --extended-input-sz size \
     --max-num-sgl-segs seg --huffman-enc fixed
@@ -140,7 +164,7 @@ Test Case: Compressdev QAT PMD big seg-sz dynamic function test
 ---------------------------------------------------------------------------
 Run Compressdev qat pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
     -- --driver-name compress_qat --input-file file_name --seg-sz segsize \
     --compress-level level --num-iter number --extended-input-sz size \
     --max-num-sgl-segs seg --huffman-enc dynamic
@@ -153,7 +177,7 @@ Test Case: Compressdev QAT PMD external mbufs fixed function test
 -------------------------------------------------------------------------
 Run Compressdev qat pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
     -- --driver-name compress_qat --input-file file_name \
     --compress-level level --num-iter number --external-mbufs \
     --huffman-enc fixed
@@ -166,7 +190,7 @@ Test Case: Compressdev QAT PMD external mbufs dynamic function test
 --------------------------------------------------------------------------
 Run Compressdev qat pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
     -- --driver-name compress_qat --input-file file_name \
     --compress-level level --num-iter number --external-mbufs \
     --huffman-enc dynamic
@@ -179,7 +203,7 @@ Test Case: Compressdev QAT PMD im buffer split op fixed function test
 -------------------------------------------------------------------------
 Run Compressdev qat pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
     -- --driver-name compress_qat --input-file file_name \
     --compress-level level --num-iter number --seg-sz segsize \
     --max-num-sgl-segs seg --extended-input-sz size \
@@ -193,7 +217,7 @@ Test Case: Compressdev QAT PMD im buffer split op dynamic function test
 --------------------------------------------------------------------------
 Run Compressdev qat pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
     -- --driver-name compress_qat --input-file file_name \
     --compress-level level --num-iter number --seg-sz segsize \
     --max-num-sgl-segs seg --extended-input-sz size \
@@ -207,7 +231,7 @@ Test Case: Compressdev QAT PMD fixed performance test
 --------------------------------------------------------------------------
 Run Compressdev qat pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
     -- --driver-name compress_qat --input-file file_name \
     --compress-level level --num-iter number --huffman-enc fixed
 
@@ -219,7 +243,7 @@ Test Case: Compressdev QAT PMD dynamic performance test
 ---------------------------------------------------------------------------
 Run Compressdev qat pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a qat_device_bus_id -l 4 \
     -- --driver-name compress_qat --input-file file_name \
     --compress-level level --num-iter number --huffman-enc dynamic
 
diff --git a/test_plans/compressdev_zlib_pmd_test_plan.rst b/test_plans/compressdev_zlib_pmd_test_plan.rst
index f42ef32..5d20dc6 100644
--- a/test_plans/compressdev_zlib_pmd_test_plan.rst
+++ b/test_plans/compressdev_zlib_pmd_test_plan.rst
@@ -36,6 +36,7 @@ CompressDev ZLIB PMD Tests
 
 Description
 -------------------
+
 The ZLIB PMD (librte_pmd_zlib) provides poll mode compression & decompression
 driver based on SW zlib library.
 
@@ -44,6 +45,7 @@ The supported Compression/Decompression algorithm:
     DEFLATE - using Fixed and Dynamic Huffman encoding
 
 For more details, please reference to dpdk online programming guide.
+http://doc.dpdk.org/guides/compressdevs/zlib.html
 
 Prerequisites
 ----------------------
@@ -56,15 +58,39 @@ and enable compressdev unit test:
     Set CONFIG_RTE_COMPRESSDEV_TEST=y in config/common_base.
 
 A compress performance test app is added into DPDK to test CompressDev.
-
+RTE_COMPRESS_ZLIB and RTE_LIB_COMPRESSDEV is enabled by default in meson  build.
 Calgary corpus is a collection of text and binary data files, commonly used
 for comparing data compression algorithms.
 
+Software
+--------
+
+dpdk: http://dpdk.org/git/dpdk
+ZLIB library: zlib sources from http://zlib.net/
+
+General set up
+--------------
+1, Compile DPDK::
+
+    CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc -j 110
+
+2, Get the pci device id of QAT::
+
+   ./dpdk/usertools/dpdk-devbind.py --status-dev crypto
+
+3, Bind QAT VF port to dpdk::
+
+   ./dpdk/usertools/dpdk-devbind.py --force --bind=vfio-pci 0000:1a:01.0 0000:1a:01.1
+
+Test case
+=========
+
 Test Case: Compressdev ZLIB PMD Unit test
 ----------------------------------------------------------------
 Start test application and run zlib pmd unit test::
 
-    ./app/test -l1 -n1 -a vdev_bus_id --vdev=compress_zlib
+    ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -l1 -n1 -a vdev_bus_id --vdev=compress_zlib
     RTE>>compressdev_autotest
 
 Verify all test cases passed in the test.
@@ -73,7 +99,7 @@ Test Case: Compressdev ZLIB PMD fixed function test
 -------------------------------------------------------------
 Run Compressdev zlib pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
     --vdev=compress_zlib -- --driver-name compress_zlib --input-file file_name \
     --compress-level level --num-iter number --huffman-enc fixed
 
@@ -85,7 +111,7 @@ Test Case: Compressdev ZLIB PMD dynamic function test
 -------------------------------------------------------------
 Run Compressdev zlib pmd test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
     --vdev=compress_zlib -- --driver-name compress_zlib --input-file file_name \
     --compress-level level --num-iter number --huffman-enc dynamic
 
@@ -97,7 +123,7 @@ Test Case: Compressdev ZLIB PMD fixed performance test
 ----------------------------------------------------------------------------
 Run Compressdev zlib pmd performance test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
     --vdev=compress_zlib -- --driver-name compress_zlib --input-file file_name \
     --compress-level level --seg-sz size --num-iter number --huffman-enc fixed
 
@@ -109,7 +135,7 @@ Test Case: Compressdev ZLIB PMD dynamic performance test
 ---------------------------------------------------------------------------
 Run Compressdev zlib pmd performance test with below sample commands::
 
-    ./app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-test-compress-perf  -a vdev_bus_id -l 4 \
     --vdev=compress_zlib -- --driver-name compress_zlib --input-file file_name \
     --compress-level level --seg-sz size --num-iter number --huffman-enc dynamic
 