diff --git a/test_plans/unit_tests_cmdline_test_plan.rst b/test_plans/unit_tests_cmdline_test_plan.rst
index d6c11fb..196a5f9 100644
--- a/test_plans/unit_tests_cmdline_test_plan.rst
+++ b/test_plans/unit_tests_cmdline_test_plan.rst
@@ -46,8 +46,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> cmdline_autotest
 
 The final output of the test has to be "Test OK"
diff --git a/test_plans/unit_tests_crc_test_plan.rst b/test_plans/unit_tests_crc_test_plan.rst
index 9a4c89e..c6c757c 100644
--- a/test_plans/unit_tests_crc_test_plan.rst
+++ b/test_plans/unit_tests_crc_test_plan.rst
@@ -50,10 +50,12 @@ the application and checks the results. A test report is displayed on
 stdout.
 The steps to run the unit test manually are as follow::
 
-  # cd ~/dpdk
-  # make config T=x86_64-native-linuxapp-gcc
-  # make test
-  # ./build/build/test/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> crc_autotest
 
 The final output of the test will have to be "Test OK".
diff --git a/test_plans/unit_tests_dump_test_plan.rst b/test_plans/unit_tests_dump_test_plan.rst
index c8832ff..a1a8ed2 100644
--- a/test_plans/unit_tests_dump_test_plan.rst
+++ b/test_plans/unit_tests_dump_test_plan.rst
@@ -47,8 +47,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> dump_ring
 
 The final output of the test will be detailed elements of DPDK ring.
@@ -76,8 +80,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> dump_mempool
 
 The final output of the test will be detailed elements of DPDK mempool.
@@ -105,8 +113,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> dump_physmem
 
 The final output of the test will be detailed elements of DPDK physical memory.
@@ -128,8 +140,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> dump_memzone
 
 The final output of the test will be detailed elements of DPDK memzone.
@@ -151,8 +167,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> dump_struct_sizes
 
 The final output of the test will be the size of DPDK structure.
@@ -174,8 +194,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff -a|-b pci_address
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff -a|-b pci_address
   RTE>> dump_devargs
 
 The final output of the test will be the pci address of allow list
@@ -198,8 +222,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> dump_malloc_stats
 
 The final output of the test will be the malloc stats of DPDK heap.
@@ -221,8 +249,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> dump_malloc_heaps
 
 The final output of the test will be the detailed malloc status of each DPDK heap.
@@ -244,8 +276,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> dump_log_types
 
 The final output of the test will be the log level of each DPDK log type.
diff --git a/test_plans/unit_tests_event_timer_test_plan.rst b/test_plans/unit_tests_event_timer_test_plan.rst
index 192d983..0e8a993 100644
--- a/test_plans/unit_tests_event_timer_test_plan.rst
+++ b/test_plans/unit_tests_event_timer_test_plan.rst
@@ -11,8 +11,12 @@ test can be launched independently using the command line interface.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff -a <timerdev-pci-bus-id>,<devargs>
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff -a <timerdev-pci-bus-id>,<devargs>
   RTE>> event_timer_adapter_test
 
 The final output of the test has to be "Test OK"
diff --git a/test_plans/unit_tests_kni_test_plan.rst b/test_plans/unit_tests_kni_test_plan.rst
index 793dd47..984d4ad 100644
--- a/test_plans/unit_tests_kni_test_plan.rst
+++ b/test_plans/unit_tests_kni_test_plan.rst
@@ -47,14 +47,21 @@ stdout.
 
 Case config::
 
-   For enable KNI features, need to set the "CONFIG_RTE_KNI_KMOD=y" in ./config/common_base and re-build DPDK.
+   For enable KNI features, need to add "-Denable_kmods=True" when build DPDK by meson.
+   CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static x86_64-native-linuxapp-gcc
+   ninja -C x86_64-native-linuxapp-gcc -j 50
+
+   rte_kni.ko is located at ./x86_64-native-linuxapp-gcc/kernel/linux/kni/
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
+  # mkdir -p x86_64-native-linuxapp-gcc/kmod
+  # cp ./x86_64-native-linuxapp-gcc/kernel/linux/kni/rte_kni.ko x86_64-native-linuxapp-gcc/kmod/
+  # cp ./x86_64-native-linuxapp-gcc/kernel/linux/igb_uio/igb_uio.ko x86_64-native-linuxapp-gcc/kmod/
+  # lsmod | grep rte_kni
   # insmod ./<TARGET>/kmod/igb_uio.ko
-  # insmod ./<TARGET>/kmod/rte_kni.ko
-  # ./app/test/test -n 1 -c ffff
+  # insmod ./<TARGET>/kmod/rte_kni.ko lo_mode=lo_mode_fifo
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test  -n 1 -c ffff
   RTE>> kni_autotest
   RTE>> quit
   # rmmod rte_kni
diff --git a/test_plans/unit_tests_loopback_test_plan.rst b/test_plans/unit_tests_loopback_test_plan.rst
index 6e39457..2425141 100644
--- a/test_plans/unit_tests_loopback_test_plan.rst
+++ b/test_plans/unit_tests_loopback_test_plan.rst
@@ -64,7 +64,7 @@ Set::
 Then make test
 Start test::
 
-    ./test/test/test -c f -n 4 -- -i
+    ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -c f -n 4 -- -i
     RTE>>pmd_perf_autotest
 
 The final output of the test will be matrix of average cycles of IO used per
@@ -83,7 +83,7 @@ Set::
 Then make test
 Start test::
 
-    ./test/test/test -c f -n 4 -- -i
+    ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -c f -n 4 -- -i
     RTE>>pmd_perf_autotest
 
 There is not "Test OK" presented.
diff --git a/test_plans/unit_tests_lpm_test_plan.rst b/test_plans/unit_tests_lpm_test_plan.rst
index 4fa9248..0bc5f61 100644
--- a/test_plans/unit_tests_lpm_test_plan.rst
+++ b/test_plans/unit_tests_lpm_test_plan.rst
@@ -47,8 +47,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> lpm_autotest
 
 
@@ -71,8 +75,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> lpm6_autotest
 
 
@@ -86,8 +94,12 @@ Unit Tests: LPM_perf
 This section explains how to run the unit tests for LPM performance.
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> lpm_perf_autotest
 
 The final output of the test has to be "Test OK"
@@ -100,8 +112,12 @@ Unit Tests: LPM_ipv6_perf
 This section explains how to run the unit tests for LPM IPv6
 performance. The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> lpm6_perf_autotest
 
 The final output of the test has to be "Test OK"
diff --git a/test_plans/unit_tests_power_test_plan.rst b/test_plans/unit_tests_power_test_plan.rst
index 813ffde..711dcb8 100644
--- a/test_plans/unit_tests_power_test_plan.rst
+++ b/test_plans/unit_tests_power_test_plan.rst
@@ -51,8 +51,12 @@ stdout.
 The steps to run the unit test manually are as follow::
 
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> power_autotest
 
 
@@ -72,8 +76,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> power_acpi_cpufreq_autotest
 
 The final output of the test has to be "Test OK"
diff --git a/test_plans/unit_tests_qos_test_plan.rst b/test_plans/unit_tests_qos_test_plan.rst
index e305cd7..68ae2c5 100644
--- a/test_plans/unit_tests_qos_test_plan.rst
+++ b/test_plans/unit_tests_qos_test_plan.rst
@@ -47,8 +47,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> red_autotest
 
 The final output of the test has to be "Test OK"
@@ -70,8 +74,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> meter_autotest
 
 The final output of the test has to be "Test OK"
@@ -93,8 +101,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> sched_autotest
 
 The final output of the test has to be "Test OK"
diff --git a/test_plans/unit_tests_ring_test_plan.rst b/test_plans/unit_tests_ring_test_plan.rst
index 587bb6a..e5aa5ad 100644
--- a/test_plans/unit_tests_ring_test_plan.rst
+++ b/test_plans/unit_tests_ring_test_plan.rst
@@ -115,8 +115,12 @@ stdout.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff
   RTE>> ring_perf_autotest
 
 
diff --git a/test_plans/unit_tests_ringpmd_test_plan.rst b/test_plans/unit_tests_ringpmd_test_plan.rst
index cd861e0..159d28f 100644
--- a/test_plans/unit_tests_ringpmd_test_plan.rst
+++ b/test_plans/unit_tests_ringpmd_test_plan.rst
@@ -51,8 +51,12 @@ virtual ethernet devices with full rx&tx functions.
 
 The steps to run the unit test manually are as follow::
 
-  # make -C ./app/test/
-  # ./app/test/test -n 1 -c ffff --vdev='net_ring0'
+  Build dpdk
+  # cd dpdk
+  # CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+  # ninja -C x86_64-native-linuxapp-gcc -j 50
+
+  # ./x86_64-native-linuxapp-gcc/app/test/dpdk-test -n 1 -c ffff --vdev='net_ring0'
       --vdev='net_ring1'
   RTE>> ring_pmd_autotest
 