diff --git a/test_plans/short_live_test_plan.rst b/test_plans/short_live_test_plan.rst
index 2df5a6f..e600382 100644
--- a/test_plans/short_live_test_plan.rst
+++ b/test_plans/short_live_test_plan.rst
@@ -49,11 +49,11 @@ obviously::
 
 Bind nic to DPDK::
 
-        ./usertools/dpdk-devbind.py -b igb_uio device_bus_id
+        ./usertools/dpdk-devbind.py -b vfio-pci device_bus_id
 
 Start testpmd using time::
 
-        # echo quit | time ./testpmd -c 0x3 -n 4 -- -i
+        # echo quit | time ./app/dpdk-testpmd -c 0x3 -n 4 -- -i
 
 
 Test Case 1: basic fwd testing
@@ -61,7 +61,7 @@ Test Case 1: basic fwd testing
 
 1. Start testpmd::
 
-      ./testpmd -c 0x3 -n 4 -- -i
+      ./app/dpdk-testpmd -c 0x3 -n 4 -- -i
 
 2. Set fwd mac
 3. Send packet from pkg
@@ -72,7 +72,7 @@ Test Case 2: Get start up time
 
 1. Start testpmd::
 
-    echo quit | time ./testpmd -c 0x3 -n 4 --huge-dir /mnt/huge -- -i
+    echo quit | time ./app/dpdk-testpmd -c 0x3 -n 4 --huge-dir /mnt/huge -- -i
 
 2. Get the time stats of the startup
 3. Repeat step 1~2 for at least 5 times to get the average
@@ -87,15 +87,15 @@ Test Case 3: Clean up with Signal -- testpmd
 
 2. Start testpmd::
 
-    ./testpmd -c 0x3 -n 4 --huge-dir /mnt/huge1 -- -i
+    ./app/dpdk-testpmd -c 0x3 -n 4 --huge-dir /mnt/huge1 -- -i
 
 3. Set fwd mac
 4. Send packets from pkg
 5. Check all packets could be fwd back
 6. Kill the testpmd in shell using below commands alternately::
 
-      SIGINT:  pkill -2  testpmd
-      SIGTERM: pkill -15 testpmd
+      SIGINT:  pkill -2  dpdk-testpmd
+      SIGTERM: pkill -15 dpdk-testpmd
 
 7. Repeat step 1-6 for 20 times, and packet must be fwd back with no error for each time.
 
@@ -103,6 +103,11 @@ Test Case 3: Clean up with Signal -- testpmd
 Test Case 4: Clean up with Signal -- l2fwd
 ------------------------------------------
 
+0. Build l2fwd example::
+
+    meson configure -Dexamples=l2fwd x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc
+
 1. Create 4G hugepages, so that could save times when repeat::
 
     echo 2048 > /sys/kernel/mm/hugepages/hugepages-2048kB/nr_hugepages
@@ -110,21 +115,26 @@ Test Case 4: Clean up with Signal -- l2fwd
 
 2. Start testpmd::
 
-    ./l2fwd -c 0x3 -n 4 --huge-dir /mnt/huge1 -- -p 0x01
+    ./examples/dpdk-l2fwd -c 0x3 -n 4 --huge-dir /mnt/huge1 -- -p 0x01
 
 3. Set fwd mac
 4. Send packets from pkg
 5. Check all packets could be fwd back
 6. Kill the testpmd in shell using below commands alternately::
 
-      SIGINT:  pkill -2  l2fwd
-      SIGTERM: pkill -15 l2fwd
+      SIGINT:  pkill -2  dpdk-l2fwd
+      SIGTERM: pkill -15 dpdk-l2fwd
 
 7. Repeat step 1-6 for 20 times, and packet must be fwd back with no error for each time.
 
 Test Case 5: Clean up with Signal -- l3fwd
 ------------------------------------------
 
+0. Build l3fwd example::
+
+    meson configure -Dexamples=l3fwd x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc
+
 1. Create 4G hugepages, so that could save times when repeat::
 
       echo 2048 > /sys/kernel/mm/hugepages/hugepages-2048kB/nr_hugepages
@@ -132,14 +142,14 @@ Test Case 5: Clean up with Signal -- l3fwd
 
 2. Start testpmd::
 
-     ./l3fwd -c 0x3 -n 4 --huge-dir /mnt/huge1 -- -p 0x01 --config="(0,0,1)"
+     ./examples/dpdk-l3fwd -c 0x3 -n 4 --huge-dir /mnt/huge1 -- -p 0x01 --config="(0,0,1)"
 
 3. Set fwd mac
 4. Send packets from pkg
 5. Check all packets could be fwd back
 6. Kill the testpmd in shell using below commands alternately::
 
-     SIGINT:  pkill -2  l3fwd
-     SIGTERM: pkill -15 l3fwd
+     SIGINT:  pkill -2  dpdk-l3fwd
+     SIGTERM: pkill -15 dpdk-l3fwd
 
 7. Repeat step 1-6 for 20 times, and packet must be fwd back with no error for each time.
diff --git a/test_plans/shutdown_api_test_plan.rst b/test_plans/shutdown_api_test_plan.rst
index f92b08f..5a44b78 100644
--- a/test_plans/shutdown_api_test_plan.rst
+++ b/test_plans/shutdown_api_test_plan.rst
@@ -61,7 +61,7 @@ Assume port A and B are connected to the remote ports, e.g. packet generator.
 To run the testpmd application in linuxapp environment with 4 lcores,
 4 channels with other default parameters in interactive mode::
 
-    $ ./testpmd -c 0xf -n 4 -- -i
+    $ ./app/dpdk-testpmd -c 0xf -n 4 -- -i
 
 Test Case: Stop and Restart
 ---------------------------
diff --git a/test_plans/skeleton_test_plan.rst b/test_plans/skeleton_test_plan.rst
index 2ba4d3c..6ce6647 100644
--- a/test_plans/skeleton_test_plan.rst
+++ b/test_plans/skeleton_test_plan.rst
@@ -41,12 +41,22 @@ It is intended as a demonstration of the basic components of a DPDK forwarding
 application. For more detailed implementations see the L2 and L3 forwarding
 sample applications.
 
+Build DPDK and example skeleton
+===============================
+
+    cd dpdk
+    CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc -j 50
+
+    meson configure -Dexamples=skeleton x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc
+
 Running the Application
 =======================
 
 To run the example in a linux environment::
 
-    ./build/basicfwd -c 2 -n 4
+    ./build/examples/dpdk-skeleton -c 2 -n 4
 
 Refer to *DPDK Getting Started Guide* for general information on running
 applications and the Environment Abstraction Layer (EAL) options.
@@ -56,7 +66,7 @@ Test case: skeleton
 
 Running::
 
-     ./examples/skeleton/build/basicfwd -c 2 -n 4
+     ./x86_64-native-linuxapp-gcc/examples/dpdk-skeleton  /build/basicfwd -c 2 -n 4
 
 waked up::
 
diff --git a/test_plans/softnic_test_plan.rst b/test_plans/softnic_test_plan.rst
index 633b032..5378596 100644
--- a/test_plans/softnic_test_plan.rst
+++ b/test_plans/softnic_test_plan.rst
@@ -61,7 +61,7 @@ Prerequisites
 
 3. Start softnic with following command line::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0x7 -s 0x4 -n 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x7 -s 0x4 -n 4 \
     --vdev 'net_softnic0,firmware=./drivers/net/softnic/firmware.cli,cpu_id=1,conn_port=8086' \
     -- -i --forward-mode=softnic --portmask=0x2
     testpmd> start
@@ -74,7 +74,7 @@ Test Case 1: softnic performance
 ================================
 1. Start softnic::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0x7 -s 0x4 -n 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x7 -s 0x4 -n 4 \
     --vdev 'net_softnic0,firmware=./drivers/net/softnic/firmware.cli,cpu_id=1,conn_port=8086' \
     -- -i --forward-mode=softnic --portmask=0x2
     testpmd> start
@@ -94,7 +94,7 @@ Test Case 2: shaping for pipe
 
 2. Start softnic with the default hierarchy Qos::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0x7 -s 0x4 -n 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x7 -s 0x4 -n 4 \
     --vdev 'net_softnic0,firmware=./drivers/net/softnic/tm_firmware.cli,cpu_id=1,conn_port=8086' \
     -- -i --forward-mode=softnic --portmask=0x2
     testpmd> start
@@ -109,7 +109,7 @@ Test Case 3: NAT
 
 (a). Start softnic::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c 0x7 -s 0x4 -n 4 \
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x7 -s 0x4 -n 4 \
     --vdev 'net_softnic0,firmware=./drivers/net/softnic/nat_firmware.cli,cpu_id=1,conn_port=8086' \
     -- -i --forward-mode=softnic --portmask=0x2
     testpmd> start
diff --git a/test_plans/stats_checks_test_plan.rst b/test_plans/stats_checks_test_plan.rst
index 327aaf2..5cc3ee7 100644
--- a/test_plans/stats_checks_test_plan.rst
+++ b/test_plans/stats_checks_test_plan.rst
@@ -59,7 +59,7 @@ Assuming that ports ``0`` and ``1`` of the test target are directly connected
 to the traffic generator, launch the ``testpmd`` application with the following
 arguments::
 
-  ./build/app/testpmd -c ffffff -n 6 -- -i --portmask=0x3 --max-pkt-len=9600 \
+  ./build/app/dpdk-testpmd -c ffffff -n 6 -- -i --portmask=0x3 --max-pkt-len=9600 \
   --tx-offloads=0x00008000
 
 The -n command is used to select the number of memory channels. It should match the number of memory channels on that setup.
diff --git a/test_plans/telemetry_test_plan.rst b/test_plans/telemetry_test_plan.rst
index 4098683..0798320 100644
--- a/test_plans/telemetry_test_plan.rst
+++ b/test_plans/telemetry_test_plan.rst
@@ -91,7 +91,7 @@ Test case: basic connection for testpmd and telemetry client::
 
 2. Run Testpmd with 2 ports
 
-  $ ./x86_64-native-linuxapp-gcc/app/testpmd -c f -n 4  --telemetry -- -i
+  $ ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c f -n 4  --telemetry -- -i
 
    For the building meson shared and make shared . tested command should be used  when run on ubuntu OS
    make share and meson version::
@@ -111,7 +111,7 @@ Test case:  Stats of 2 ports for testpmd and telemetry with same type nic
 
 2. Run Testpmd with 2 ports
 
-  $ ./x86_64-native-linuxapp-gcc/app/testpmd --telemetry  -- -i
+  $ ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd --telemetry  -- -i
 
 3.Run Python terminal:
 
@@ -142,7 +142,7 @@ Test case:  Stats of 2 ports for testpmd and telemetry with different  type nic
 
 2. Run Testpmd with 2 ports
 
-  $ ./x86_64-native-linuxapp-gcc/app/testpmd --telemetry  -- -i
+  $ ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd --telemetry  -- -i
 
 3.Run Python terminal:
 
@@ -173,7 +173,7 @@ Test case:  Stats of 4 ports for testpmd and telemetry with same type nic
 
 2. Run Testpmd with 2 ports
 
-  $ ./x86_64-native-linuxapp-gcc/app/testpmd --telemetry  -- -i
+  $ ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd --telemetry  -- -i
 
 3.Run Python terminal:
 
@@ -204,7 +204,7 @@ Test case:  Stats of 4 ports for testpmd and telemetry with different  type nic
 
 2. Run Testpmd with 2 ports
 
-  $ ./x86_64-native-linuxapp-gcc/app/testpmd --telemetry  -- -i
+  $ ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd --telemetry  -- -i
 
 3.Run Python terminal:
 
diff --git a/test_plans/timer_test_plan.rst b/test_plans/timer_test_plan.rst
index 91e83a8..8725f9d 100644
--- a/test_plans/timer_test_plan.rst
+++ b/test_plans/timer_test_plan.rst
@@ -54,9 +54,18 @@ reloaded automatically every second.
 Timer 1 is single one, being loaded manually by every second/3 ,
 once manually load will switch to next lcore.
 
+Build DPDK and example::
+
+   cd dpdk
+   CC=gcc meson --werror -Denable_kmods=True  -Dlibdir=lib --default-library=static x86_64-native-linuxapp-gcc
+   ninja -C x86_64-native-linuxapp-gcc -j 50
+
+   meson configure -Dexamples=timer x86_64-native-linuxapp-gcc
+   ninja -C x86_64-native-linuxapp-gcc
+
 Usage of application::
 
-  ./timer [EAL options]
+  ./examples/dpdk-timer [EAL options]
 
 Where the EAL options are::
 
@@ -87,7 +96,7 @@ Test Case: timer callbacks running on targeted cores
 
 To run the example in linuxapp environment::
 
-  ./timer -c ffffff
+  ./examples/dpdk-timer -c ffffff
 
 Timer0, every second, on master lcore, reloaded automatically.
 The check output as below by every second on master lcore::
diff --git a/test_plans/tso_test_plan.rst b/test_plans/tso_test_plan.rst
index 0f9fe67..ee443d1 100644
--- a/test_plans/tso_test_plan.rst
+++ b/test_plans/tso_test_plan.rst
@@ -92,7 +92,7 @@ capture package rx port on tester::
 
 Launch the userland ``testpmd`` application on DUT as follows::
 
-   ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xffffffff -n 2 -- -i --rxd=512 --txd=512
+   ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0xffffffff -n 2 -- -i --rxd=512 --txd=512
    --burst=32 --rxfreet=64 --mbcache=128 --portmask=0x3 --txpt=36 --txht=0 --txwt=0
    --txfreet=32 --txrst=32 --enable-rx-cksum
      testpmd> set verbose 1
@@ -134,7 +134,7 @@ capture package rx port on tester::
 
 Launch the userland ``testpmd`` application on DUT as follows::
 
-   ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xffffffff -n 2 -- -i --rxd=512 --txd=512
+   ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0xffffffff -n 2 -- -i --rxd=512 --txd=512
    --burst=32 --rxfreet=64 --mbcache=128 --portmask=0x3 --txpt=36 --txht=0 --txwt=0
    --txfreet=32 --txrst=32 --enable-rx-cksum
      testpmd> set verbose 1
@@ -189,7 +189,7 @@ below.
 
 Then run the test application as below::
 
-   ./x86_64-native-linuxapp-gcc/app/testpmd -c 0xffffffff -n 2 -- -i --rxd=512 --txd=512
+   ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0xffffffff -n 2 -- -i --rxd=512 --txd=512
    --burst=32 --rxfreet=64 --mbcache=128 --portmask=0x3 --txpt=36 --txht=0 --txwt=0
    --txfreet=32 --txrst=32 --enable-rx-cksum
 
diff --git a/test_plans/tx_preparation_test_plan.rst b/test_plans/tx_preparation_test_plan.rst
index 738d44f..a6d9a0b 100644
--- a/test_plans/tx_preparation_test_plan.rst
+++ b/test_plans/tx_preparation_test_plan.rst
@@ -76,7 +76,7 @@ Launch the ``testpmd`` with the following arguments, set ``--tx-offloads=0x8fff`
 let TX checksum offloads, TSO mode in the “Full Featured” TX path, add
 --max-pkt-len for large packet::
 
-   ./testpmd -c 0x6 -n 4  -- -i --tx-offloads=0x8fff --port-topology=chained
+   ./app/dpdk-testpmd -c 0x6 -n 4  -- -i --tx-offloads=0x8fff --port-topology=chained
    --max-pkt-len=9000
 
 Set the ``csum`` forwarding mode::
diff --git a/test_plans/uni_pkt_test_plan.rst b/test_plans/uni_pkt_test_plan.rst
index 905e27a..68f12c9 100644
--- a/test_plans/uni_pkt_test_plan.rst
+++ b/test_plans/uni_pkt_test_plan.rst
@@ -55,7 +55,7 @@ Plug in three different types of nic on the board.
 
 Start testpmd and then enable rxonly and verbose mode::
 
-    ./x86_64-native-linuxapp-gcc/app/testpmd -c f -n 4 -- -i --tx-offloads=0x8fff
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 -- -i --tx-offloads=0x8fff
     set fwd rxonly
     set verbose 1
     start