diff --git a/test_plans/coremask_test_plan.rst b/test_plans/coremask_test_plan.rst
index 769e0ddd..706c622e 100644
--- a/test_plans/coremask_test_plan.rst
+++ b/test_plans/coremask_test_plan.rst
@@ -47,7 +47,7 @@ Test Case: individual coremask
 
 Launch ``test`` once per core, set the core mask for the core::
 
-    ./x86_64-default-linuxapp-gcc/app/test -c <One core mask> -n 4
+    ./x86_64-default-linuxapp-gcc/app/test/dpdk-test -c <One core mask> -n 4
 
 
 Verify: every time the application is launched the core is properly detected
@@ -61,7 +61,7 @@ Test Case: big coremask
 
 Launch ``test`` with a mask bigger than the available cores::
 
-    ./x86_64-default-linuxapp-gcc/app/test -c <128 bits mask> -n 4
+    ./x86_64-default-linuxapp-gcc/app/test/dpdk-test -c <128 bits mask> -n 4
 
 
 Verify: the application handles the mask properly and all the available cores
@@ -74,7 +74,7 @@ Test Case: all cores
 
 Launch ``test`` with all the available cores::
 
-    ./x86_64-default-linuxapp-gcc/app/test -c <All cores mask> -n 4
+    ./x86_64-default-linuxapp-gcc/app/test/dpdk-test -c <All cores mask> -n 4
 
 
 Verify: all the cores have been detected and used by the application.
@@ -86,7 +86,7 @@ Test Case: wrong coremask
 
 Launch ``test`` with several wrong masks::
 
-    ./x86_64-default-linuxapp-gcc/app/test -c <Wrong mask> -n 4
+    ./x86_64-default-linuxapp-gcc/app/test/dpdk-test -c <Wrong mask> -n 4
 
 
 Verify: the application complains about the mask and does not start.
diff --git a/test_plans/enable_package_download_in_ice_driver_test_plan.rst b/test_plans/enable_package_download_in_ice_driver_test_plan.rst
index 578ba30e..6de17a0b 100644
--- a/test_plans/enable_package_download_in_ice_driver_test_plan.rst
+++ b/test_plans/enable_package_download_in_ice_driver_test_plan.rst
@@ -172,7 +172,8 @@ For example,
 
 Compile DPDK and testpmd::
 
-  make install -j T=x86_64-native-linuxapp-gcc
+  CC=gcc meson -Denable_kmods=True -Dlibdir=lib  --default-library=static x86_64-native-linuxapp-gcc
+  ninja -C x86_64-native-linuxapp-gcc
 
 Launch testpmd with 1 default interface and 1 specific interface::
 
diff --git a/test_plans/example_build_test_plan.rst b/test_plans/example_build_test_plan.rst
index 34feb4ae..d057b859 100644
--- a/test_plans/example_build_test_plan.rst
+++ b/test_plans/example_build_test_plan.rst
@@ -56,16 +56,15 @@ Test case: example build
 
 compile the applications of examples  successfully::
 
-    make -j 70 -C examples
+    meson configure -Dexamples=all x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc
 
 If the compilation is successful, it will be the same as the shown in the terminal. ::
 
     ...
-    LD load_balancer
-    INSTALL-APP l3fwd-thread
-    INSTALL-MAP l3fwd-thread.map
-    INSTALL-APP ipsec-secgw
-    INSTALL-MAP ipsec-secgw.map
-    INSTALL-MAP load_balancer.map
-    INSTALL-APP load_balancer
-    make: Leaving directory '/root/dpdk/examples'
+    [188/193] Linking target examples/dpdk-efd_node
+    [189/193] Linking target examples/dpdk-vhost_crypto
+    [190/193] Linking target examples/dpdk-pipeline
+    [191/193] Linking target examples/dpdk-efd_server
+    [192/193] Linking target examples/dpdk-vhost
+    [193/193] Linking target examples/dpdk-vmdq
diff --git a/test_plans/inline_ipsec_test_plan.rst b/test_plans/inline_ipsec_test_plan.rst
index 11dfedad..f3b0a8cc 100644
--- a/test_plans/inline_ipsec_test_plan.rst
+++ b/test_plans/inline_ipsec_test_plan.rst
@@ -107,7 +107,8 @@ Add print code in IPSEC app::
 
 Re-compile examples/ipsec-secgw::
 
-    make -C examples/ipsec-secgw
+    meson configure -Dexamples=ipsec-secgw x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc
 
 Test Case: Inline cfg parsing
 =============================
diff --git a/test_plans/keep_alive_test_plan.rst b/test_plans/keep_alive_test_plan.rst
index 249c2278..81c1c74f 100644
--- a/test_plans/keep_alive_test_plan.rst
+++ b/test_plans/keep_alive_test_plan.rst
@@ -61,7 +61,8 @@ Set the target (a default target is used if not specified). For example::
 See the DPDK Getting Started Guide for possible RTE_TARGET values.
 Build the application::
 
-   make
+   meson configure -Dexamples=l2fwd-keepalive x86_64-native-linuxapp-gcc
+   ninja -C x86_64-native-linuxapp-gcc
 
 Running the Application
 =======================
diff --git a/test_plans/multicast_test_plan.rst b/test_plans/multicast_test_plan.rst
index a190170a..368c857c 100644
--- a/test_plans/multicast_test_plan.rst
+++ b/test_plans/multicast_test_plan.rst
@@ -217,7 +217,8 @@ These flows do not change across the test cases.
 
 And re-compile examples/ipv4_multicast::
 
-    make -C examples/ipv4_multicast
+    meson configure -Dexamples=ipv4_multicast x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc
 
 Test Case: IP4 Multicast Forwarding
 ===================================
diff --git a/test_plans/userspace_ethtool_test_plan.rst b/test_plans/userspace_ethtool_test_plan.rst
index ca86beaf..790e25e8 100644
--- a/test_plans/userspace_ethtool_test_plan.rst
+++ b/test_plans/userspace_ethtool_test_plan.rst
@@ -168,7 +168,8 @@ enable vlan filter flag in main.c of dpdk's ethtool::
 
 re-compile examples/ethtool::
 
-    make -C examples/ethtool
+    meson configure -Dexamples=ethtool x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc
 
 Add vlan 0 to port 0 and vlan 1 to port1, send packet without vlan to port0,1
 Verify port0 and port1 received vlan packets::
diff --git a/test_plans/vf_interrupt_pmd_test_plan.rst b/test_plans/vf_interrupt_pmd_test_plan.rst
index a8ed3d8e..964bc834 100644
--- a/test_plans/vf_interrupt_pmd_test_plan.rst
+++ b/test_plans/vf_interrupt_pmd_test_plan.rst
@@ -63,7 +63,8 @@ Modify the DPDK-l3fwd-power source code and recompile the l3fwd-power::
 
     export RTE_TARGET=x86_64-native-linuxapp-gcc
     export RTE_SDK=`/root/DPDK`
-    make -C examples/l3fwd-power
+    meson configure -Dexamples=l3fwd-power x86_64-native-linuxapp-gcc
+    ninja -C x86_64-native-linuxapp-gcc
 
 Support igb_uio and vfio driver, if used vfio, kernel need 3.6+ and enable vt-d
 in bios. When used vfio, requested to insmod two drivers vfio and vfio-pci.